IF NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'seg_registroIntegracion')
BEGIN 
	exec [dbo].[_ini_creartabla] 'seg_registroIntegracion', 1

	ALTER TABLE dbo.seg_registroIntegracion
	ADD mensaje VARCHAR(8000),
		respuesta VARCHAR(8000),
		codigoRespuesta VARCHAR(20),
		idObjeto INT,
		id_puntoIntegracion INT NOT NULL DEFAULT 0

	ALTER TABLE dbo.seg_registroIntegracion
	ADD CONSTRAINT FK_PuntoIntegracionRegistroIntegracion
	FOREIGN KEY (id_puntoIntegracion) REFERENCES syn_puntoIntegracion(id)
END
